Loading...
Searching...
No Matches
fastjet::EtaPhi Class Reference

Shortcut for dealing with eta-phi coordinates. More...

`#include <fastjet/internal/DynamicNearestNeighbours.hh>`

## Public Member Functions

| EtaPhi (double a, double b)
void | sanitize ()
| put things into the desired range.

## Public Attributes

double | first
double | second

## Detailed Description

Shortcut for dealing with eta-phi coordinates.

Definition at line 54 of file DynamicNearestNeighbours.hh.

## Constructor & Destructor Documentation

## EtaPhi() [1/2]

fastjet::EtaPhi::EtaPhi | ( |  | ) |

inline

Definition at line 57 of file DynamicNearestNeighbours.hh.

## EtaPhi() [2/2]

fastjet::EtaPhi::EtaPhi | ( | double | a,
|  | double | b )

inline

Definition at line 58 of file DynamicNearestNeighbours.hh.

## Member Function Documentation

## sanitize()

void fastjet::EtaPhi::sanitize | ( |  | ) |

inline

put things into the desired range.

Definition at line 60 of file DynamicNearestNeighbours.hh.

## Member Data Documentation

## first

double fastjet::EtaPhi::first

Definition at line 56 of file DynamicNearestNeighbours.hh.

## second

double fastjet::EtaPhi::second

Definition at line 56 of file DynamicNearestNeighbours.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/DynamicNearestNeighbours.hh